LMS 'modules/rtmessageadd.php'远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1112764 漏洞类型 输入验证
发布时间 2007-04-23 更新时间 2007-04-25
CVE编号 CVE-2007-2205 CNNVD-ID CNNVD-200704-415
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/29886
https://cxsecurity.com/issue/WLB-2007040137
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200704-415
|漏洞详情
LANManagementSystem(LMS)的modules/rtmessageadd.php中存在PHP远程文件包含漏洞。远程攻击者可以借助_LIB_DIR参数中的一个URL,执行任意的PHP代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/23611/info

LMS is prone to a remote file-include vulnerability because it fails to sufficiently sanitize user-supplied input.

Exploiting this issue may allow an attacker to compromise the application and the underlying system; other attacks are also possible.

This issue affects LMS 1.5.3 and 1.5.4; earlier versions may also be vulnerable.

http://www.example.com/modules/rtmessageadd.php?_LIB_DIR=Shell?
|参考资料

来源:BID
名称:23611
链接:http://www.securityfocus.com/bid/23611
来源:BUGTRAQ
名称:20070422lms1.5.3RemoteFileInclusion
链接:http://www.securityfocus.com/archive/1/archive/1/466664/100/0/threaded
来源:OSVDB
名称:35480
链接:http://osvdb.org/35480
来源:XF
名称:lms-rtmessageadd-file-include(33819)
链接:http://xforce.iss.net/xforce/xfdb/33819
来源:VIM
名称:20070426true:2distinctLMSRFI,oneold,onenew;andvagueACK
链接:http://www.attrition.org/pipermail/vim/2007-April/001560.html
来源:SREASON
名称:2630
链接:http://securityreason.com/securityalert/2630